<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpWidgets: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-utils.html" title="Part VI. GIMP Widgets Utilities">
<link rel="prev" href="libgimpwidgets-GimpPropWidgets.html" title="GimpPropWidgets">
<link rel="next" href="libgimpwidgets-GimpWidgetsUtils.html" title="GimpWidgetsUtils">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#libgimpwidgets-GimpWidgets.description" class="shortcut">Description</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-utils.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimpwidgets-GimpPropWidgets.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimpwidgets-GimpWidgetsUtils.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="libgimpwidgets-GimpWidgets"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="libgimpwidgets-GimpWidgets.top_of_page"></a>GimpWidgets</span></h2>
<p>GimpWidgets — A collection of convenient widget constructors,
                    standard callbacks and helper functions.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="libgimpwidgets-GimpWidgets.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-group-new" title="gimp_radio_group_new ()">gimp_radio_group_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-group-new2" title="gimp_radio_group_new2 ()">gimp_radio_group_new2</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-group-set-active" title="gimp_radio_group_set_active ()">gimp_radio_group_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-int-radio-group-new" title="gimp_int_radio_group_new ()">gimp_int_radio_group_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-int-radio-group-set-active" title="gimp_int_radio_group_set_active ()">gimp_int_radio_group_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-spin-button-new" title="gimp_spin_button_new ()">gimp_spin_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-SCALE-ENTRY-LABEL:CAPS" title="GIMP_SCALE_ENTRY_LABEL()">GIMP_SCALE_ENTRY_LABEL</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-SCALE-ENTRY-SCALE:CAPS" title="GIMP_SCALE_ENTRY_SCALE()">GIMP_SCALE_ENTRY_SCALE</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-SCALE-ENTRY-SCALE-ADJ:CAPS" title="GIMP_SCALE_ENTRY_SCALE_ADJ()">GIMP_SCALE_ENTRY_SCALE_ADJ</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-SCALE-ENTRY-SPINBUTTON:CAPS" title="GIMP_SCALE_ENTRY_SPINBUTTON()">GIMP_SCALE_ENTRY_SPINBUTTON</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-SCALE-ENTRY-SPINBUTTON-ADJ:CAPS" title="GIMP_SCALE_ENTRY_SPINBUTTON_ADJ()">GIMP_SCALE_ENTRY_SPINBUTTON_ADJ</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="returnvalue">GtkObject</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()">gimp_scale_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-set-sensitive" title="gimp_scale_entry_set_sensitive ()">gimp_scale_entry_set_sensitive</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-set-logarithmic" title="gimp_scale_entry_set_logarithmic ()">gimp_scale_entry_set_logarithmic</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-get-logarithmic" title="gimp_scale_entry_get_logarithmic ()">gimp_scale_entry_get_logarithmic</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="returnvalue">GtkObject</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-color-scale-entry-new" title="gimp_color_scale_entry_new ()">gimp_color_scale_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-RANDOM-SEED-SPINBUTTON:CAPS" title="GIMP_RANDOM_SEED_SPINBUTTON()">GIMP_RANDOM_SEED_SPINBUTTON</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-RANDOM-SEED-SPINBUTTON-ADJ:CAPS" title="GIMP_RANDOM_SEED_SPINBUTTON_ADJ()">GIMP_RANDOM_SEED_SPINBUTTON_ADJ</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-RANDOM-SEED-TOGGLE:CAPS" title="GIMP_RANDOM_SEED_TOGGLE()">GIMP_RANDOM_SEED_TOGGLE</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-random-seed-new" title="gimp_random_seed_new ()">gimp_random_seed_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-COORDINATES-CHAINBUTTON:CAPS" title="GIMP_COORDINATES_CHAINBUTTON()">GIMP_COORDINATES_CHAINBUTTON</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-coordinates-new" title="gimp_coordinates_new ()">gimp_coordinates_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-toggle-button-update" title="gimp_toggle_button_update ()">gimp_toggle_button_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-button-update" title="gimp_radio_button_update ()">gimp_radio_button_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-int-adjustment-update" title="gimp_int_adjustment_update ()">gimp_int_adjustment_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-uint-adjustment-update" title="gimp_uint_adjustment_update ()">gimp_uint_adjustment_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-float-adjustment-update" title="gimp_float_adjustment_update ()">gimp_float_adjustment_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-double-adjustment-update" title="gimp_double_adjustment_update ()">gimp_double_adjustment_update</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Quarks.html#GQuark"><span class="returnvalue">GQuark</span></a>
</td>
<td class="function_name">
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-widgets-error-quark" title="gimp_widgets_error_quark ()">gimp_widgets_error_quark</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libgimpwidgets-GimpWidgets.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="libgimpwidgets-GimpWidgets.html#GimpWidgetsError" title="enum GimpWidgetsError">GimpWidgetsError</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-WIDGETS-ERROR:CAPS" title="GIMP_WIDGETS_ERROR">GIMP_WIDGETS_ERROR</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libgimpwidgets-GimpWidgets.description"></a><h2>Description</h2>
<p>A collection of convenient widget constructors, standard callbacks
and helper functions.</p>
</div>
<div class="refsect1">
<a name="libgimpwidgets-GimpWidgets.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-radio-group-new"></a><h3>gimp_radio_group_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_radio_group_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> in_frame</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *frame_title</code></em>);</pre>
<p>Convenience function to create a group of radio buttons embedded into
a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a>.</p>
<div class="refsect3">
<a name="gimp-radio-group-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>in_frame</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if you want a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> around the radio button group.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>frame_title</p></td>
<td class="parameter_description"><p>The title of the Frame or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if you don't want a title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>A <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>-terminated <em class="parameter"><code>va_list</code></em>
describing the radio buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-radio-group-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a> (depending on <em class="parameter"><code>in_frame</code></em>
).</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-radio-group-new2"></a><h3>gimp_radio_group_new2 ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_radio_group_new2 (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> in_frame</code></em>,
                       <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *frame_title</code></em>,
                       <em class="parameter"><code><a href="../gobject/gobject-Closures.html#GCallback"><span class="type">GCallback</span></a> radio_button_callback</code></em>,
                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> radio_button_callback_data</code></em>,
                       <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> initial</code></em>);</pre>
<p>Convenience function to create a group of radio buttons embedded into
a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a>.</p>
<div class="refsect3">
<a name="gimp-radio-group-new2.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>in_frame</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if you want a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> around the
radio button group.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>frame_title</p></td>
<td class="parameter_description"><p>The title of the Frame or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if you don't want
a title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>radio_button_callback</p></td>
<td class="parameter_description"><p>The callback each button's "toggled" signal will
be connected with.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>radio_button_callback_data</p></td>
<td class="parameter_description"><p>                        The data which will be passed to <a href="../gobject/gobject-Signals.html#g-signal-connect"><code class="function">g_signal_connect()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>initial</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>item_data</code></em>
of the initially pressed radio button.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>A <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>-terminated <em class="parameter"><code>va_list</code></em>
describing
the radio buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-radio-group-new2.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a> (depending on <em class="parameter"><code>in_frame</code></em>
).</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-radio-group-set-active"></a><h3>gimp_radio_group_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_radio_group_set_active (<em class="parameter"><code><a href="../gtk2/GtkRadioButton.html#GtkRadioButton-struct"><span class="type">GtkRadioButton</span></a> *radio_button</code></em>,
                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> item_data</code></em>);</pre>
<p>Calls <a href="../gtk2/GtkToggleButton.html#gtk-toggle-button-set-active"><code class="function">gtk_toggle_button_set_active()</code></a> with the radio button that was
created with a matching <em class="parameter"><code>item_data</code></em>
.</p>
<div class="refsect3">
<a name="gimp-radio-group-set-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>radio_button</p></td>
<td class="parameter_description"><p>Pointer to a <a href="../gtk2/GtkRadioButton.html#GtkRadioButton-struct"><span class="type">GtkRadioButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>item_data</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>item_data</code></em>
of the radio button you want to select.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-int-radio-group-new"></a><h3>gimp_int_radio_group_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_int_radio_group_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> in_frame</code></em>,
                          <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *frame_title</code></em>,
                          <em class="parameter"><code><a href="../gobject/gobject-Closures.html#GCallback"><span class="type">GCallback</span></a> radio_button_callback</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> radio_button_callback_data</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> initial</code></em>);</pre>
<p>Convenience function to create a group of radio buttons embedded into
a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a>. This function does the same thing as
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-group-new2" title="gimp_radio_group_new2 ()"><code class="function">gimp_radio_group_new2()</code></a>, but it takes integers as <em class="parameter"><code>item_data</code></em>
 instead of
pointers, since that is a very common case (mapping an enum to a radio
group).</p>
<div class="refsect3">
<a name="gimp-int-radio-group-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>in_frame</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if you want a <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> around the
radio button group.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>frame_title</p></td>
<td class="parameter_description"><p>The title of the Frame or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if you don't want
a title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>radio_button_callback</p></td>
<td class="parameter_description"><p>The callback each button's "toggled" signal will
be connected with.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>radio_button_callback_data</p></td>
<td class="parameter_description"><p>                        The data which will be passed to <a href="../gobject/gobject-Signals.html#g-signal-connect"><code class="function">g_signal_connect()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>initial</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>item_data</code></em>
of the initially pressed radio button.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>...</p></td>
<td class="parameter_description"><p>A <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>-terminated <em class="parameter"><code>va_list</code></em>
describing
the radio buttons.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-int-radio-group-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkFrame.html#GtkFrame-struct"><span class="type">GtkFrame</span></a> or <a href="../gtk2/GtkVBox.html#GtkVBox-struct"><span class="type">GtkVBox</span></a> (depending on <em class="parameter"><code>in_frame</code></em>
).</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-int-radio-group-set-active"></a><h3>gimp_int_radio_group_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_int_radio_group_set_active (<em class="parameter"><code><a href="../gtk2/GtkRadioButton.html#GtkRadioButton-struct"><span class="type">GtkRadioButton</span></a> *radio_button</code></em>,
                                 <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> item_data</code></em>);</pre>
<p>Calls <a href="../gtk2/GtkToggleButton.html#gtk-toggle-button-set-active"><code class="function">gtk_toggle_button_set_active()</code></a> with the radio button that was created
with a matching <em class="parameter"><code>item_data</code></em>
. This function does the same thing as
<a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-radio-group-set-active" title="gimp_radio_group_set_active ()"><code class="function">gimp_radio_group_set_active()</code></a>, but takes integers as <em class="parameter"><code>item_data</code></em>
 instead
of pointers.</p>
<div class="refsect3">
<a name="gimp-int-radio-group-set-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>radio_button</p></td>
<td class="parameter_description"><p>Pointer to a <a href="../gtk2/GtkRadioButton.html#GtkRadioButton-struct"><span class="type">GtkRadioButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>item_data</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>item_data</code></em>
of the radio button you want to select.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-spin-button-new"></a><h3>gimp_spin_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_spin_button_new (<em class="parameter"><code><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="type">GtkObject</span></a> **adjustment</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> step_increment</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> page_increment</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> page_size</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> climb_rate</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> digits</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_spin_button_new</code> has been deprecated since version 2.10 and should not be used in newly-written code.</p>
<p>Use <a href="../gtk2/GtkSpinButton.html#gtk-spin-button-new"><code class="function">gtk_spin_button_new()</code></a> instead.</p>
</div>
<p>This function is a shortcut for <a href="../gtk2/GtkAdjustment.html#gtk-adjustment-new"><code class="function">gtk_adjustment_new()</code></a> and a
subsequent <a href="../gtk2/GtkSpinButton.html#gtk-spin-button-new"><code class="function">gtk_spin_button_new()</code></a>. It also calls
<a href="../gtk2/GtkSpinButton.html#gtk-spin-button-set-numeric"><code class="function">gtk_spin_button_set_numeric()</code></a> so that non-numeric text cannot be
entered.</p>
<div class="refsect3">
<a name="gimp-spin-button-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>Returns the spinbutton's <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>The initial value of the spinbutton.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The lower boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The upper boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>step_increment</p></td>
<td class="parameter_description"><p>The spinbutton's step increment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>page_increment</p></td>
<td class="parameter_description"><p>The spinbutton's page increment (mouse button 2).</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>page_size</p></td>
<td class="parameter_description"><p>Ignored, spin buttons must always have a zero page size.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>climb_rate</p></td>
<td class="parameter_description"><p>The spinbutton's climb rate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>The spinbutton's number of decimal digits.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-spin-button-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> and its <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-SCALE-ENTRY-LABEL:CAPS"></a><h3>GIMP_SCALE_ENTRY_LABEL()</h3>
<pre class="programlisting">#define             GIMP_SCALE_ENTRY_LABEL(adj)</pre>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-LABEL.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adj</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-LABEL.returns"></a><h4>Returns</h4>
<p> the scale_entry's <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-SCALE-ENTRY-SCALE:CAPS"></a><h3>GIMP_SCALE_ENTRY_SCALE()</h3>
<pre class="programlisting">#define             GIMP_SCALE_ENTRY_SCALE(adj)</pre>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SCALE.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adj</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SCALE.returns"></a><h4>Returns</h4>
<p> the scale_entry's <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-SCALE-ENTRY-SCALE-ADJ:CAPS"></a><h3>GIMP_SCALE_ENTRY_SCALE_ADJ()</h3>
<pre class="programlisting">#define             GIMP_SCALE_ENTRY_SCALE_ADJ(adj)</pre>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SCALE-ADJ.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adj</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SCALE-ADJ.returns"></a><h4>Returns</h4>
<p> the <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> of the scale_entry's <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON:CAPS"></a><h3>GIMP_SCALE_ENTRY_SPINBUTTON()</h3>
<pre class="programlisting">#define             GIMP_SCALE_ENTRY_SPINBUTTON(adj)</pre>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adj</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON.returns"></a><h4>Returns</h4>
<p> the scale_entry's <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON-ADJ:CAPS"></a><h3>GIMP_SCALE_ENTRY_SPINBUTTON_ADJ()</h3>
<pre class="programlisting">#define             GIMP_SCALE_ENTRY_SPINBUTTON_ADJ(adj)</pre>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON-ADJ.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adj</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-SCALE-ENTRY-SPINBUTTON-ADJ.returns"></a><h4>Returns</h4>
<p> the <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> of the scale_entry's <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scale-entry-new"></a><h3>gimp_scale_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="returnvalue">GtkObject</span></a> *
gimp_scale_entry_new (<em class="parameter"><code><a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a> *table</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> column</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> row</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *text</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> scale_width</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spinbutton_width</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> step_increment</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> page_increment</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> digits</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> constrain</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> unconstrained_lower</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> unconstrained_upper</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *tooltip</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *help_id</code></em>);</pre>
<p>This function creates a <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a>, a <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a> and a <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> and
attaches them to a 3-column <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a>.</p>
<div class="refsect3">
<a name="gimp-scale-entry-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a> the widgets will be attached to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>column</p></td>
<td class="parameter_description"><p>The column to start with.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>row</p></td>
<td class="parameter_description"><p>The row to attach the widgets.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>text</p></td>
<td class="parameter_description"><p>The text for the <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> which will appear
left of the <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>scale_width</p></td>
<td class="parameter_description"><p>The minimum horizontal size of the <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spinbutton_width</p></td>
<td class="parameter_description"><p>The minimum horizontal size of the <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>The initial value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The lower boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The upper boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>step_increment</p></td>
<td class="parameter_description"><p>The step increment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>page_increment</p></td>
<td class="parameter_description"><p>The page increment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>The number of decimal digits.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>constrain</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the range of possible values of the
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> should be the same as of the <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unconstrained_lower</p></td>
<td class="parameter_description"><p>The spinbutton's lower boundary
if <em class="parameter"><code>constrain</code></em>
== <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unconstrained_upper</p></td>
<td class="parameter_description"><p>The spinbutton's upper boundary
if <em class="parameter"><code>constrain</code></em>
== <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>tooltip</p></td>
<td class="parameter_description"><p>A tooltip message for the scale and the spinbutton.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_id</p></td>
<td class="parameter_description"><p>The widgets' help_id (see <a class="link" href="libgimpwidgets-GimpHelpUI.html#gimp-help-set-help-data" title="gimp_help_set_help_data ()"><code class="function">gimp_help_set_help_data()</code></a>).</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-scale-entry-new.returns"></a><h4>Returns</h4>
<p> The <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>'s <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scale-entry-set-sensitive"></a><h3>gimp_scale_entry_set_sensitive ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scale_entry_set_sensitive (<em class="parameter"><code><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="type">GtkObject</span></a> *adjustment</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> sensitive</code></em>);</pre>
<p>Sets the sensitivity of the scale_entry's <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a>, <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a> and
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p>
<div class="refsect3">
<a name="gimp-scale-entry-set-sensitive.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>a <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>sensitive</p></td>
<td class="parameter_description"><p>a boolean value with the same semantics as the <em class="parameter"><code>sensitive</code></em>
parameter of <a href="../gtk2/GtkWidget.html#gtk-widget-set-sensitive"><code class="function">gtk_widget_set_sensitive()</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scale-entry-set-logarithmic"></a><h3>gimp_scale_entry_set_logarithmic ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_scale_entry_set_logarithmic (<em class="parameter"><code><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="type">GtkObject</span></a> *adjustment</code></em>,
                                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> logarithmic</code></em>);</pre>
<p>Sets whether the scale_entry's scale widget will behave in a linear
or logharithmic fashion. Useful when an entry has to attend large
ranges, but smaller selections on that range require a finer
adjustment.</p>
<div class="refsect3">
<a name="gimp-scale-entry-set-logarithmic.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>a  <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> as returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>logarithmic</p></td>
<td class="parameter_description"><p>a boolean value to set or reset logarithmic behaviour
of the scale widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-scale-entry-get-logarithmic"></a><h3>gimp_scale_entry_get_logarithmic ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_scale_entry_get_logarithmic (<em class="parameter"><code><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="type">GtkObject</span></a> *adjustment</code></em>);</pre>
<div class="refsect3">
<a name="gimp-scale-entry-get-logarithmic.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>a  <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> as returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-scale-entry-new" title="gimp_scale_entry_new ()"><code class="function">gimp_scale_entry_new()</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-scale-entry-get-logarithmic.returns"></a><h4>Returns</h4>
<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the the entry's scale widget will behave in
logharithmic fashion, <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> for linear behaviour.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-scale-entry-new"></a><h3>gimp_color_scale_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkObject.html#GtkObject-struct"><span class="returnvalue">GtkObject</span></a> *
gimp_color_scale_entry_new (<em class="parameter"><code><a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a> *table</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> column</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> row</code></em>,
                            <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *text</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> scale_width</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spinbutton_width</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> value</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> step_increment</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> page_increment</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> digits</code></em>,
                            <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *tooltip</code></em>,
                            <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *help_id</code></em>);</pre>
<p>This function creates a <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a>, a <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> and a
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> and attaches them to a 3-column <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a>.</p>
<div class="refsect3">
<a name="gimp-color-scale-entry-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>table</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkTable.html#GtkTable-struct"><span class="type">GtkTable</span></a> the widgets will be attached to.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>column</p></td>
<td class="parameter_description"><p>The column to start with.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>row</p></td>
<td class="parameter_description"><p>The row to attach the widgets.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>text</p></td>
<td class="parameter_description"><p>The text for the <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> which will appear
left of the <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>scale_width</p></td>
<td class="parameter_description"><p>The minimum horizontal size of the <a href="../gtk2/GtkHScale.html#GtkHScale-struct"><span class="type">GtkHScale</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spinbutton_width</p></td>
<td class="parameter_description"><p>The minimum horizontal size of the <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>The initial value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>The lower boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>The upper boundary.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>step_increment</p></td>
<td class="parameter_description"><p>The step increment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>page_increment</p></td>
<td class="parameter_description"><p>The page increment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>digits</p></td>
<td class="parameter_description"><p>The number of decimal digits.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>tooltip</p></td>
<td class="parameter_description"><p>A tooltip message for the scale and the spinbutton.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>help_id</p></td>
<td class="parameter_description"><p>The widgets' help_id (see <a class="link" href="libgimpwidgets-GimpHelpUI.html#gimp-help-set-help-data" title="gimp_help_set_help_data ()"><code class="function">gimp_help_set_help_data()</code></a>).</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-scale-entry-new.returns"></a><h4>Returns</h4>
<p> The <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>'s <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-RANDOM-SEED-SPINBUTTON:CAPS"></a><h3>GIMP_RANDOM_SEED_SPINBUTTON()</h3>
<pre class="programlisting">#define             GIMP_RANDOM_SEED_SPINBUTTON(hbox)</pre>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-SPINBUTTON.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>hbox</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkHBox.html#GtkHBox-struct"><span class="type">GtkHBox</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-random-seed-new" title="gimp_random_seed_new ()"><code class="function">gimp_random_seed_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-SPINBUTTON.returns"></a><h4>Returns</h4>
<p> the random_seed's <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-RANDOM-SEED-SPINBUTTON-ADJ:CAPS"></a><h3>GIMP_RANDOM_SEED_SPINBUTTON_ADJ()</h3>
<pre class="programlisting">#define             GIMP_RANDOM_SEED_SPINBUTTON_ADJ(hbox)</pre>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-SPINBUTTON-ADJ.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>hbox</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkHBox.html#GtkHBox-struct"><span class="type">GtkHBox</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-random-seed-new" title="gimp_random_seed_new ()"><code class="function">gimp_random_seed_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-SPINBUTTON-ADJ.returns"></a><h4>Returns</h4>
<p> the <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> of the random_seed's <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-RANDOM-SEED-TOGGLE:CAPS"></a><h3>GIMP_RANDOM_SEED_TOGGLE()</h3>
<pre class="programlisting">#define             GIMP_RANDOM_SEED_TOGGLE(hbox)</pre>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-TOGGLE.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>hbox</p></td>
<td class="parameter_description"><p>The <a href="../gtk2/GtkHBox.html#GtkHBox-struct"><span class="type">GtkHBox</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-random-seed-new" title="gimp_random_seed_new ()"><code class="function">gimp_random_seed_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-RANDOM-SEED-TOGGLE.returns"></a><h4>Returns</h4>
<p> the random_seed's <a href="../gtk2/GtkToggleButton.html#GtkToggleButton-struct"><span class="type">GtkToggleButton</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-random-seed-new"></a><h3>gimp_random_seed_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_random_seed_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint32"><span class="type">guint32</span></a> *seed</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> *random_seed</code></em>);</pre>
<p>Creates a widget that allows the user to control how the random number
generator is initialized.</p>
<div class="refsect3">
<a name="gimp-random-seed-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>seed</p></td>
<td class="parameter_description"><p>A pointer to the variable which stores the random seed.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>random_seed</p></td>
<td class="parameter_description"><p>A pointer to a boolean indicating whether seed should be
initialised randomly or not.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-random-seed-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkHBox.html#GtkHBox-struct"><span class="type">GtkHBox</span></a> containing a <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a> for the seed and
a <a href="../gtk2/GtkButton.html#GtkButton-struct"><span class="type">GtkButton</span></a> for setting a random seed.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-COORDINATES-CHAINBUTTON:CAPS"></a><h3>GIMP_COORDINATES_CHAINBUTTON()</h3>
<pre class="programlisting">#define             GIMP_COORDINATES_CHAINBUTTON(sizeentry)</pre>
<div class="refsect3">
<a name="GIMP-COORDINATES-CHAINBUTTON.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>sizeentry</p></td>
<td class="parameter_description"><p>The <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> returned by <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-coordinates-new" title="gimp_coordinates_new ()"><code class="function">gimp_coordinates_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="GIMP-COORDINATES-CHAINBUTTON.returns"></a><h4>Returns</h4>
<p> the <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> which is attached to the
<a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-coordinates-new"></a><h3>gimp_coordinates_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_coordinates_new (<em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *unit_format</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> menu_show_pixels</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> menu_show_percent</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spinbutton_width</code></em>,
                      <em class="parameter"><code><a class="link" href="GimpSizeEntry.html#GimpSizeEntryUpdatePolicy" title="enum GimpSizeEntryUpdatePolicy"><span class="type">GimpSizeEntryUpdatePolicy</span></a> update_policy</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> chainbutton_active</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> chain_constrains_ratio</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *xlabel</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> x</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> xres</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower_boundary_x</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper_boundary_x</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> xsize_0</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> xsize_100</code></em>,
                      <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *ylabel</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> y</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> yres</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower_boundary_y</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper_boundary_y</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> ysize_0</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> ysize_100</code></em>);</pre>
<p>Convenience function that creates a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> with two fields for x/y
coordinates/sizes with a <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> attached to constrain either the
two fields' values or the ratio between them.</p>
<div class="refsect3">
<a name="gimp-coordinates-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>The initial unit of the <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit_format</p></td>
<td class="parameter_description"><p>A printf-like unit-format string as is used with
<a class="link" href="GimpUnitMenu.html#gimp-unit-menu-new" title="gimp_unit_menu_new ()"><code class="function">gimp_unit_menu_new()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>menu_show_pixels</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> should contain an item
for GIMP_UNIT_PIXEL.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>menu_show_percent</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <a class="link" href="GimpUnitMenu.html" title="GimpUnitMenu"><span class="type">GimpUnitMenu</span></a> should contain an item
for GIMP_UNIT_PERCENT.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spinbutton_width</p></td>
<td class="parameter_description"><p>The horizontal size of the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>'s
<a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>'s.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>update_policy</p></td>
<td class="parameter_description"><p>The update policy for the <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>chainbutton_active</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the attached <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> should be
active.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>chain_constrains_ratio</p></td>
<td class="parameter_description"><p><a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the chainbutton should constrain the
fields' aspect ratio. If <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>, the values will
be constrained.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>xlabel</p></td>
<td class="parameter_description"><p>The label for the X coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>The initial value of the X coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>xres</p></td>
<td class="parameter_description"><p>The horizontal resolution in DPI.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower_boundary_x</p></td>
<td class="parameter_description"><p>The lower boundary of the X coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper_boundary_x</p></td>
<td class="parameter_description"><p>The upper boundary of the X coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>xsize_0</p></td>
<td class="parameter_description"><p>The X value which will be treated as 0%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>xsize_100</p></td>
<td class="parameter_description"><p>The X value which will be treated as 100%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>ylabel</p></td>
<td class="parameter_description"><p>The label for the Y coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>The initial value of the Y coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>yres</p></td>
<td class="parameter_description"><p>The vertical resolution in DPI.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower_boundary_y</p></td>
<td class="parameter_description"><p>The lower boundary of the Y coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper_boundary_y</p></td>
<td class="parameter_description"><p>The upper boundary of the Y coordinate.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>ysize_0</p></td>
<td class="parameter_description"><p>The Y value which will be treated as 0%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>ysize_100</p></td>
<td class="parameter_description"><p>The Y value which will be treated as 100%.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-coordinates-new.returns"></a><h4>Returns</h4>
<p> The new <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-toggle-button-update"></a><h3>gimp_toggle_button_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_toggle_button_update (<em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *widget</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Note that this function calls <a class="link" href="libgimpwidgets-GimpOldWidgets.html#gimp-toggle-button-sensitive-update" title="gimp_toggle_button_sensitive_update ()"><code class="function">gimp_toggle_button_sensitive_update()</code></a>
which is a deprecated hack you shouldn't use. See that function's
documentation for a proper replacement of its functionality.</p>
<div class="refsect3">
<a name="gimp-toggle-button-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkToggleButton.html#GtkToggleButton-struct"><span class="type">GtkToggleButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> variable which will store the value of
<a href="../gtk2/GtkToggleButton.html#gtk-toggle-button-get-active"><code class="function">gtk_toggle_button_get_active()</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-radio-button-update"></a><h3>gimp_radio_button_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_radio_button_update (<em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *widget</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Note that this function calls <a class="link" href="libgimpwidgets-GimpOldWidgets.html#gimp-toggle-button-sensitive-update" title="gimp_toggle_button_sensitive_update ()"><code class="function">gimp_toggle_button_sensitive_update()</code></a>
which is a deprecated hack you shouldn't use. See that function's
documentation for a proper replacement of its functionality.</p>
<div class="refsect3">
<a name="gimp-radio-button-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkRadioButton.html#GtkRadioButton-struct"><span class="type">GtkRadioButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> variable which will store the value of
GPOINTER_TO_INT (g_object_get_data (<em class="parameter"><code>widget</code></em>
, "gimp-item-data")).</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-int-adjustment-update"></a><h3>gimp_int_adjustment_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_int_adjustment_update (<em class="parameter"><code><a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> *adjustment</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Note that the <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>'s value (which is a <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a>) will be
rounded with <a href="../html/libgimpmath-GimpMath.html#RINT:CAPS"><code class="function">RINT()</code></a>.</p>
<div class="refsect3">
<a name="gimp-int-adjustment-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> variable which will store the
<em class="parameter"><code>adjustment</code></em>
's value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-uint-adjustment-update"></a><h3>gimp_uint_adjustment_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_uint_adjustment_update (<em class="parameter"><code><a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> *adjustment</code></em>,
                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Note that the <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>'s value (which is a <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a>) will be rounded
with (<a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a>) (value + 0.5).</p>
<div class="refsect3">
<a name="gimp-uint-adjustment-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#guint"><span class="type">guint</span></a> variable which will store the
<em class="parameter"><code>adjustment</code></em>
's value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-float-adjustment-update"></a><h3>gimp_float_adjustment_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_float_adjustment_update (<em class="parameter"><code><a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> *adjustment</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<div class="refsect3">
<a name="gimp-float-adjustment-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a> variable which will store the
<em class="parameter"><code>adjustment</code></em>
's value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-double-adjustment-update"></a><h3>gimp_double_adjustment_update ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_double_adjustment_update (<em class="parameter"><code><a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a> *adjustment</code></em>,
                               <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<div class="refsect3">
<a name="gimp-double-adjustment-update.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>adjustment</p></td>
<td class="parameter_description"><p>A <a href="../gtk2/GtkAdjustment.html#GtkAdjustment-struct"><span class="type">GtkAdjustment</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>A pointer to a <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> variable which will store the
<em class="parameter"><code>adjustment</code></em>
's value.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-widgets-error-quark"></a><h3>gimp_widgets_error_quark ()</h3>
<pre class="programlisting"><a href="../glib/glib-Quarks.html#GQuark"><span class="returnvalue">GQuark</span></a>
gimp_widgets_error_quark (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>This function is never called directly. Use <a class="link" href="libgimpwidgets-GimpWidgets.html#GIMP-WIDGETS-ERROR:CAPS" title="GIMP_WIDGETS_ERROR"><code class="function">GIMP_WIDGETS_ERROR()</code></a> instead.</p>
<div class="refsect3">
<a name="gimp-widgets-error-quark.returns"></a><h4>Returns</h4>
<p> the <a href="../glib/glib-Quarks.html#GQuark"><span class="type">GQuark</span></a> that defines the GIMP widgets error domain.</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="libgimpwidgets-GimpWidgets.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpWidgetsError"></a><h3>enum GimpWidgetsError</h3>
<div class="refsect3">
<a name="GimpWidgetsError.members"></a><h4>Members</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody><tr>
<td class="enum_member_name"><p><a name="GIMP-WIDGETS-PARSE-ERROR:CAPS"></a>GIMP_WIDGETS_PARSE_ERROR</p></td>
<td> </td>
<td> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-WIDGETS-ERROR:CAPS"></a><h3>GIMP_WIDGETS_ERROR</h3>
<pre class="programlisting">#define GIMP_WIDGETS_ERROR (gimp_widgets_error_quark ())
</pre>
<p>The GIMP widgets error domain.</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>